X = 1

def nester():
   print(X)                 # Zmienna globalna: 1
   class C:
       print(X)             # Zmienna globalna: 1
       def method1(self):
           print(X)         # Zmienna globalna: 1
       def method2(self):
           X = 3            # Przysłania zmienną globalną
           print(X)         # Zmienna lokalna: 3
   I = C()
   I.method1()
   I.method2()

print(X)                    # Zmienna globalna: 1
nester()                    # Pozostałe: 1, 1, 1, 3

